v.db.update(1)

NAME
v.db.update - Allows to assign a new value to a column in the attribute table connected to a given map

KEYWORDS
vector, database, attribute table

SYNOPSIS
v.db.update
v.db.update help
v.db.update map=string [layer=integer] column=string value=string [where=string]

  Parameters:

map=string
    Vector map for which to edit attribute table

layer=integer
    Layer where to add column Default: 1

column=string
    Column to update

value=string
    New value to assign to the column (varchar values have to be in single quotes, ex: 'grass')

where=string
    Condition for update (everything after the 'where' sql statement; ex: cat=1 or col1/col2>1)

DESCRIPTION
v.db.update allows to assign a new value to a column in the attribute table connected to a given map.

NOTES
v.db.update is just a front-end to db.execute to allow easier usage. For complex SQL UPDATE statements, db.execute should be used.

SEE ALSO
db.execute, v.db.addcol, v.db.addtable, v.db.connect, v.db.droptable, v.db.select

AUTHOR
Moritz Lennert (mlennert@club.worldonline.be)

Last changed: $Date: 2007/03/08 13:51:30 $

Full index